be.fgov.ehealth.ehbox.publication.protocol.v3

## Class Recipient

- java.lang.Object
- - be.fgov.ehealth.commons.core.v1.IdentifierType
  - - be.fgov.ehealth.ehbox.core.v3.EhboxIdentifierType
    - - be.fgov.ehealth.ehbox.publication.protocol.v3.Recipient

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:44:14+01:00",
                 comments="JAXB RI v2.3.7")
      public class Recipient
      extends EhboxIdentifierType
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType">
             <sequence minOccurs="0">
               <element name="AbsentFrom" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="AbsentTo" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="Substitute" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType">
                     </extension>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Recipient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getAbsentFrom()` Gets the value of the absentFrom property.
    `org.joda.time.DateTime` | `getAbsentTo()` Gets the value of the absentTo property.
    `List<Substitute>` | `getSubstitutes()` Gets the value of the substitutes property.
    `void` | `setAbsentFrom(org.joda.time.DateTime value)` Sets the value of the absentFrom property.
    `void` | `setAbsentTo(org.joda.time.DateTime value)` Sets the value of the absentTo property.

    - ### Methods inherited from class be.fgov.ehealth.ehbox.core.v3.EhboxIdentifierType

      `getQuality, getUser, setQuality, setUser`

    - ### Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType

      `getId, getSubType, getType, setId, setSubType, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Recipient

          public Recipient()

  - ### Method Detail

    - #### getAbsentFrom

          public org.joda.time.DateTime getAbsentFrom()

      Gets the value of the absentFrom property.
      Returns:
        possible object is `String`

    - #### setAbsentFrom

          public void setAbsentFrom(org.joda.time.DateTime value)

      Sets the value of the absentFrom property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAbsentTo

          public org.joda.time.DateTime getAbsentTo()

      Gets the value of the absentTo property.
      Returns:
        possible object is `String`

    - #### setAbsentTo

          public void setAbsentTo(org.joda.time.DateTime value)

      Sets the value of the absentTo property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSubstitutes

          public List<Substitute> getSubstitutes()

      Gets the value of the substitutes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substitutes property.

      For example, to add a new item, do as follows:

              getSubstitutes().add(newItem);

      Objects of the following type(s) are allowed in the list `Substitute`

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.